#### D.7.4.3 torusrep

Procedure from library `invar.lib` (see invar_lib).

Usage:
  torusrep(<list>), <list> must be a list of integer vectors of length n, where n is the dimension of the current torusgroup.

Returns:
  torusrep(m) gives a matrix with entries in 'group'. This matrix represents the action of the torus with weights
  m[1],m[2],...,m[size(m)]

Example:

    LIB "invar.lib";
    torus(1);                  // Take the 1-dimensional torus, the multiplicative group.
    list weights=-2,-3,7;      // 3-dimensial action with weights -2,-3,7
    matrix m=torusrep(weights);// compute the matrix of the representation
    invar(m);                  // compute the invariant ring
    ==>
    ==> Ideal B:
    ==> x(1)^2*x(2)*x(3)-y(1)^2*y(2)*y(3),
    ==> x(2)^2*y(1)^3-x(1)^3*y(2)^2,
    ==> x(2)^3*x(3)*y(1)-x(1)*y(2)^3*y(3),
    ==> x(1)^5*x(3)*y(2)-x(2)*y(1)^5*y(3),
    ==> x(1)*x(2)^4*x(3)^2-y(1)*y(2)^4*y(3)^2,
    ==> x(1)^7*x(3)^2-y(1)^7*y(3)^2,
    ==> x(2)^7*x(3)^3-y(2)^7*y(3)^3
    ==>
    ==> Zero Fiber Ideal:
    ==> x(1)^2*x(2)*x(3),
    ==> x(1)*x(2)^4*x(3)^2,
    ==> x(1)^7*x(3)^2,
    ==> x(2)^7*x(3)^3
    ==>
    ==> Generating Invariants:
    ==> x(1)^2*x(2)*x(3),
    ==> x(1)*x(2)^4*x(3)^2,
    ==> x(1)^7*x(3)^2,
    ==> x(2)^7*x(3)^3

User manual for Singular version 4.4.1, 2025, generated by texi2html.